Bug 584387 - Review Request: augeas - A library for changing configuration files
Review Request: augeas - A library for changing configuration files
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Package Review (Show other bugs)
5.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Alan Pevec
:
Depends On:
Blocks: 188273 584360 637803
  Show dependency treegraph
 
Reported: 2010-04-21 10:05 EDT by Richard W.M. Jones
Modified: 2016-04-26 11:03 EDT (History)
7 users (show)

See Also:
Fixed In Version: augeas-0.7.3-1.el5.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 15:47:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2010-04-21 10:05:12 EDT
Spec URL: http://94.30.104.162/rhel-5-rhev/augeas.spec
SRPM URL: http://94.30.104.162/rhel-5-rhev/augeas-0.7.0-1.el5rhev.1.src.rpm
Description:
A library for programmatically editing configuration files. Augeas parses
configuration files into a tree structure, which it exposes through its
public API. Changes made through the API are written back to the initially
read files.

The transformation works very hard to preserve comments and formatting
details. It is controlled by ``lens'' definitions that describe the file
format and the transformation into a tree.
Comment 2 Alan Pevec 2010-07-09 20:00:38 EDT
APPROVED with remarks which can be addressed upstream.
Here is the review, based on augeas-0.7.2-1.el5.1 (RHEL-5-V2V branch):

[=] MUST: rpmlint must be run on every package.
augeas.src: W: spelling-error %description -l en_US programmatically -> pro grammatically, pro-grammatically, programmatic ally

This one is funny because rpmlint augeas.spec doesn't find it. Also http://www.merriam-webster.com/dictionary/programmatically

Other rpmlint complains may be considered for future versions:

augeas.x86_64: W: no-manual-page-for-binary fadot
augeas-devel.x86_64: W: no-documentation
augeas-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libaugeas.so.0.11.0 exit@GLIBC_2.2.5
augeas-libs.x86_64: W: file-not-utf8 /usr/share/doc/augeas-libs-0.7.2/AUTHORS

but none of them is a blocking issue for the package review.

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.

0fe232b7f37a6e468e81019895fd01f4  augeas-0.7.2.tar.gz

[+] MUST: The package must successfully compile and build into binary rpms on at least one supported architecture.
[n/a] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+] MUST: All build dependencies must be listed in BuildRequires
[n/a] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro.
[+] MUST: Every binary RPM package which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[n/a] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissible content. This is described in detail in the code vs. content section of Packaging Guidelines.
[n/a] MUST: Large documentation files should go in a doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+] MUST: Header files must be in a -devel package.
[n/a] MUST: Static libraries must be in a -static package.
[+] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
[+] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
  not base but augeas-libs here
[+] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[n/a] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The package should compile and build into binary rpms on all
supported architectures

https://brewweb.devel.redhat.com/taskinfo?taskID=2587048

[+] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example
[=] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.
  augeas.x86_64: W: no-manual-page-for-binary fadot

Note You need to log in before you can comment on or make changes to this bug.